%global pom_version 3.0.2
%global mvn_settings -s mirror-settings.xml -Dvoms-clients.libs=/var/lib/voms-clients3/lib
%global jar_names   voms-clients bcprov-1.46 bcmail-1.46 canl voms-api-java3 commons-io

%global orig_name voms-clients
%global _varlib /var/lib

Name: voms-clients3
Version: 3.0.2
Release: 1%{?dist}
Summary: The Virtual Organisation Membership Service command line clients

Group: Applications/Internet
License: ASL 2.0
URL: https://github.com/andreaceccanti/voms-clients
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch

BuildRequires: maven
BuildRequires: jpackage-utils
BuildRequires: java-1.6.0-openjdk-devel

Requires: java-1.6.0-openjdk
Requires: voms-api-java3
Requires: jakarta-commons-io

Requires: jpackage-utils

Provides: voms-clients = %{version}


%description
The Virtual Organization Membership Service (VOMS) is an attribute authority
which serves as central repository for VO user authorization information,
providing support for sorting users into group hierarchies, keeping track of
their roles and other attributes in order to issue trusted attribute
certificates and SAML assertions used in the Grid environment for
authorization purposes.

This package provides the command line clients for VOMS, voms-proxy-init, 
voms-proxy-destroy and voms-proxy-info. 

%prep
%setup -q -n voms-clients

%build
mvn -s mirror-settings.xml -Dvoms-clients.libs=/var/lib/voms-clients3/lib -DskipTests -U package

%install
rm -rf $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{_javadir}
install -dm 755 $RPM_BUILD_ROOT%{_varlib}/%{name}/lib

# Install all files but jar dependencies (these will be taken from the OS)
tar -C $RPM_BUILD_ROOT/usr -xvzf target/%{orig_name}.tar.gz --strip 1 --exclude '*.jar'

# But install the voms-clients jar as well
tar -C $RPM_BUILD_ROOT/usr -xvzf target/%{orig_name}.tar.gz --strip 1 '%{orig_name}/share/java/%{orig_name}-%{pom_version}.jar'

# And the commons-cli, as the version on SL5 is buggy
tar -C $RPM_BUILD_ROOT/%{_varlib}/%{name}/lib -xvzf  target/%{orig_name}.tar.gz --strip 3 --wildcards '%{orig_name}/share/java/commons-cli-*.jar'

ln -s %{orig_name}-%{pom_version}.jar $RPM_BUILD_ROOT%{_javadir}/%{orig_name}.jar
ln -s %{orig_name}-%{pom_version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_javadir}/%{orig_name}-%{pom_version}.jar
%{_javadir}/%{name}.jar
%{_javadir}/%{orig_name}.jar

%dir %{_varlib}/%{name}/lib
%{_varlib}/%{name}/lib/*.jar

%pre

if [ $1 -gt 1 ] ; then
    if [ -d "%{_varlib}/%{name}/lib" ]; then
        rm -f %{_varlib}/%{name}/lib/*.jar
    fi
fi

%preun
    if [ $1 -eq 0 ] ; then
        rm -f %{_varlib}/%{name}/lib/*.jar
        rm -rf %{_varlib}/%{name}
    fi

%post
for jarname in %{jar_names}; do
    [ -f %{_javadir}/$jarname.jar ] ||  ( echo "$jarname not found in %{_javadir}" && exit 1 )
    ln -fs %{_javadir}/$jarname.jar %{_varlib}/%{name}/lib
done


%changelog
* Thu Apr 11 2013 Andrea Ceccanti <andrea.ceccanti at cnaf.infn.it> - 3.0.1-1
- Fix for https://issues.infn.it/browse/VOMS-256

* Wed Nov 14 2012 Valerio Venturi <valerio.venturi at cnaf.infn.it> - 3.0.0-1
- New version of VOMS command line clients
